CREATE TABLE inv_cc_entries_history (
    CC_ENTRY_HISTORY_ID       NUMBER(18, 0) ,
    CYCLE_COUNT_ENTRY_ID      NUMBER(18, 0)     NOT NULL,
    APPROVAL_DATE             DATE          ,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    APPROVER_EMPLOYEE_ID      NUMBER(18, 0) ,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    REQUEST_ID                NUMBER(18, 0) ,
    JOB_DEFINITION_NAME       VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE    VARCHAR2(3600),
    COUNT_DATE                DATE          ,
    COUNTED_BY_EMPLOYEE_ID    NUMBER(18, 0) ,
    COUNT_UOM                 VARCHAR2(12)  ,
    COUNT_QUANTITY            NUMBER        ,
    PRIMARY_UOM_QUANTITY      NUMBER        ,
    SYSTEM_QUANTITY           NUMBER        ,
    TRANSACTION_REASON_ID     NUMBER(18, 0) ,
    COMMENTS                  VARCHAR2(960) ,
    COUNT_SECONDARY_UOM       VARCHAR2(12)  ,
    SECONDARY_UOM_QUANTITY    NUMBER        ,
    SECONDARY_SYSTEM_QTY      NUMBER        ,
    ITEM_UNIT_COST            NUMBER        ,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    CC_ENTRY_HISTORY_ID       NUMBER(18, 0) ,
    CYCLE_COUNT_ENTRY_ID      NUMBER(18, 0)     NOT NULL,
    APPROVAL_DATE             DATE          ,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    APPROVER_EMPLOYEE_ID      NUMBER(18, 0) ,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    REQUEST_ID                NUMBER(18, 0) ,
    JOB_DEFINITION_NAME       VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE    VARCHAR2(3600),
    COUNT_DATE                DATE          ,
    COUNTED_BY_EMPLOYEE_ID    NUMBER(18, 0) ,
    COUNT_UOM                 VARCHAR2(12)  ,
    COUNT_QUANTITY            NUMBER        ,
    PRIMARY_UOM_QUANTITY      NUMBER        ,
    SYSTEM_QUANTITY           NUMBER        ,
    TRANSACTION_REASON_ID     NUMBER(18, 0) ,
    COMMENTS                  VARCHAR2(960) ,
    COUNT_SECONDARY_UOM       VARCHAR2(12)  ,
    SECONDARY_UOM_QUANTITY    NUMBER        ,
    SECONDARY_SYSTEM_QTY      NUMBER        ,
    ITEM_UNIT_COST            NUMBER        ,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    CONSTRAINT pk_inv_cc_entries_history PRIMARY KEY (CC_ENTRY_HISTORY_ID, CC_ENTRY_HISTORY_ID)
);
